Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_UIPMC_Wait_Never Class Reference

Since two-ways are not supported by UIPMC and more generally, anything that requires waiting isn't supported, so return error if anyone tries to do this. More...

`#include <UIPMC_Wait_Never.h>`

Inheritance diagram for TAO_UIPMC_Wait_Never:

[legend]
Collaboration diagram for TAO_UIPMC_Wait_Never:

[legend]
List of all members.

## Public Methods
| TAO_UIPMC_Wait_Never (TAO_Transport *transport)
| Constructor.
virtual | ~TAO_UIPMC_Wait_Never (void)
| Destructor.
virtual int | sending_request (TAO_ORB_Core *orb_core, int two_way)
virtual int | wait (ACE_Time_Value *max_wait_time, TAO_Synch_Reply_Dispatcher &rd)
virtual int | register_handler (void)
virtual int | non_blocking (void)

## Detailed Description

Since two-ways are not supported by UIPMC and more generally, anything that requires waiting isn't supported, so return error if anyone tries to do this.

## Constructor & Destructor Documentation

TAO_UIPMC_Wait_Never::TAO_UIPMC_Wait_Never | ( | TAO_Transport * | transport | ) |

| Constructor.

TAO_UIPMC_Wait_Never::~TAO_UIPMC_Wait_Never | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_UIPMC_Wait_Never::non_blocking | ( | void |  | ) | `[virtual]`

| Implements TAO_Wait_Strategy.

int TAO_UIPMC_Wait_Never::register_handler | ( | void |  | ) | `[virtual]`

| Implements TAO_Wait_Strategy.

int TAO_UIPMC_Wait_Never::sending_request | ( | TAO_ORB_Core * | orb_core,
|  | int | two_way
| ) | `[virtual]`

| Reimplemented from TAO_Wait_Strategy.

int TAO_UIPMC_Wait_Never::wait | ( | ACE_Time_Value * | max_wait_time,
|  | TAO_Synch_Reply_Dispatcher & | rd
| ) | `[virtual]`

| Implements TAO_Wait_Strategy.

The documentation for this class was generated from the following files:

- UIPMC_Wait_Never.h
- UIPMC_Wait_Never.cpp